var N, x, C, theta , q , ftheta, n, y, u;
predetermined_variables N;
varexo e ;

parameters bet, rhox, stdx, eta, b, iota, kappa_K, kappa_W, xi, s;
bet = 0.99;
rhox = 0.9895;
stdx = 0.0054;
eta = 0.052;
b = 0.955;
s= .0081;
iota = 0.407;
kappa_K = 0.474;
kappa_W = 0.11;
xi = 0.449;
model;
#kappa_t = kappa_K*exp(x) + kappa_W*(exp(x)^xi);
# V = (exp(x)*exp(N) - exp(C))/kappa_t;
theta = V/(1 - exp(N));
q = (1 + theta^iota)^(-1/iota);
# kappa_p = kappa_K*exp(x(+1)) + kappa_W*(exp(x(+1))^xi);
# V_p = ( exp(x(+1))*exp(N(+1)) - exp(C(+1))) /kappa_p;
# theta_p = V_p/(1 - exp(N(+1)));
# q_p = (1 + theta_p^iota)^(-1/iota);
#W_p = eta*(exp(x(+1)) + kappa_p*theta_p) + (1 - eta)*b;
exp(N(+1)) = (1 - s)*exp(N) + q*V;
kappa_t/q = bet*( exp(x(+1)) - W_p + (1 - s)*kappa_p/q_p );
x = rhox*x(-1) + e;
ftheta = (1 + theta^(-iota))^(-1/iota);
n = exp(N);
y = exp(x);
u = 1-n ;

end;
initval;

N = log (1 -.1);
x = 0.5;
e = 0;
theta = .5;
q = .5;
end;

shocks;
var e = stdx^2;
end;


steady (solve_algo = 0);
check;

varobs u ;
estimated_params;
 s , beta_pdf , .005 , .002 ;
end;


estimated_params_init(use_calibration) ;

end;

estimation (datafile = germany, mode_compute =9);


